org.apache.hadoop.security.token.delegation.web

## Class KerberosDelegationTokenAuthenticator

- java.lang.Object
- - org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticator
  - - org.apache.hadoop.security.token.delegation.web.KerberosDelegationTokenAuthenticator

- All Implemented Interfaces:
    org.apache.hadoop.security.authentication.client.Authenticator

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class KerberosDelegationTokenAuthenticator
      extends DelegationTokenAuthenticator

  The `KerberosDelegationTokenAuthenticator` provides support for Kerberos SPNEGO authentication mechanism and support for Hadoop Delegation Token operations.

  It falls back to the `PseudoDelegationTokenAuthenticator` if the HTTP endpoint does not trigger a SPNEGO authentication

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticator

      `DELEGATION_PARAM, DELEGATION_TOKEN_HEADER, DELEGATION_TOKEN_JSON, DELEGATION_TOKEN_URL_STRING_JSON, OP_PARAM, RENEW_DELEGATION_TOKEN_JSON, RENEWER_PARAM, SERVICE_PARAM, TOKEN_PARAM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KerberosDelegationTokenAuthenticator()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticator

      `authenticate, cancelDelegationToken, cancelDelegationToken, getDelegationToken, getDelegationToken, renewDelegationToken, renewDelegationToken, setConnectionConfigurator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KerberosDelegationTokenAuthenticator

          public KerberosDelegationTokenAuthenticator()

Copyright © 2022 Apache Software Foundation. All rights reserved.